diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-scheduler-rtps.h ns-3.44/src/wimax/model/bs-scheduler-rtps.h
--- ns-3.43/src/wimax/model/bs-scheduler-rtps.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-scheduler-rtps.h	2025-03-09 16:55:49.815372700 -0700
@@ -30,8 +30,8 @@
 class Cid;
 
 /**
- * \ingroup wimax
- * \brief This class implements a simple downlink scheduler for rtPS flows.
+ * @ingroup wimax
+ * @brief This class implements a simple downlink scheduler for rtPS flows.
  *
  * The DL-rtPS-Scheduler assigns the available bandwidth the service flows
  * in the following order: IR Connections, Broadcast Connections, Basic and
@@ -53,123 +53,123 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     BSSchedulerRtps(Ptr<BaseStationNetDevice> bs);
     ~BSSchedulerRtps() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief This function returns all the downlink bursts scheduled for the next
+     * @brief This function returns all the downlink bursts scheduled for the next
      * downlink sub-frame
-     * \returns  all the downlink bursts scheduled for the next downlink sub-frame
+     * @returns  all the downlink bursts scheduled for the next downlink sub-frame
      */
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* GetDownlinkBursts() const override;
 
     /**
-     * \brief This function adds a downlink burst to the list of downlink bursts
+     * @brief This function adds a downlink burst to the list of downlink bursts
      * scheduled for the next downlink sub-frame
-     * \param connection a pointer to connection in which the burst will be sent
-     * \param diuc downlink iuc
-     * \param modulationType the modulation type of the burst
-     * \param burst the downlink burst to add to the downlink sub frame
+     * @param connection a pointer to connection in which the burst will be sent
+     * @param diuc downlink iuc
+     * @param modulationType the modulation type of the burst
+     * @param burst the downlink burst to add to the downlink sub frame
      */
     void AddDownlinkBurst(Ptr<const WimaxConnection> connection,
                           uint8_t diuc,
                           WimaxPhy::ModulationType modulationType,
                           Ptr<PacketBurst> burst) override;
     /**
-     * \brief Schedule function.
+     * @brief Schedule function.
      */
     void Schedule() override;
     /**
-     * \brief Check for IR and Broadcast connections that have packets to transmit.
-     * \param connection will point to a initial ranging or broadcast connection
+     * @brief Check for IR and Broadcast connections that have packets to transmit.
+     * @param connection will point to a initial ranging or broadcast connection
      * which have packets to transmit
-     * \returns false if no initial ranging or broadcast connection has packets
+     * @returns false if no initial ranging or broadcast connection has packets
      * to transmit, true otherwise
      */
     bool SelectIRandBCConnection(Ptr<WimaxConnection>& connection);
     /**
-     * \brief Check for Basic and Primary connections that have packets to transmit.
-     * \param connection will point to a basic or primary connection
+     * @brief Check for Basic and Primary connections that have packets to transmit.
+     * @param connection will point to a basic or primary connection
      * which have packets to transmit
-     * \returns false if no basic or primary connection has packets
+     * @returns false if no basic or primary connection has packets
      * to transmit, true otherwise
      */
     bool SelectMenagementConnection(Ptr<WimaxConnection>& connection);
     /**
-     * \brief Check for UGS connections that have packets to transmit.
+     * @brief Check for UGS connections that have packets to transmit.
      *
      * The method return the UGS connection that have packets to transmits,
      * according to the MaxLatency specifications.
-     * \param connection will point to a connection that has packets to be sent
-     * \return true if successful
+     * @param connection will point to a connection that has packets to be sent
+     * @return true if successful
      */
     bool SelectUGSConnection(Ptr<WimaxConnection>& connection);
     /**
-     * \brief Check for rtPS connections that have packets to transmit.
-     * \param connection will point to a connection that has packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Check for rtPS connections that have packets to transmit.
+     * @param connection will point to a connection that has packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     bool SelectRTPSConnection(Ptr<WimaxConnection>& connection);
     /**
-     * \brief Check for nrtPS connections that have packets to transmit.
-     * \param connection will point to a connection that has packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Check for nrtPS connections that have packets to transmit.
+     * @param connection will point to a connection that has packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     bool SelectNRTPSConnection(Ptr<WimaxConnection>& connection);
     /**
-     * \brief Check for BE connections that have packets to transmit.
-     * \param connection will point to a connection that has packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Check for BE connections that have packets to transmit.
+     * @param connection will point to a connection that has packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     bool SelectBEConnection(Ptr<WimaxConnection>& connection);
 
     /**
-     * \brief Selects a connection from the list of connections having packets to be sent .
-     * \param connection will point to a connection that has packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Selects a connection from the list of connections having packets to be sent .
+     * @param connection will point to a connection that has packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     bool SelectConnection(Ptr<WimaxConnection>& connection) override;
 
     /**
-     * \brief schedules the broadcast connections
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the broadcast connections
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerBroadcastConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief schedules the IR connections
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the IR connections
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerInitialRangingConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief schedules the basic connections
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the basic connections
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerBasicConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief schedules the primary connection
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the primary connection
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerPrimaryConnection(uint32_t& availableSymbols);
     /**
-     * \brief schedules the UGS connection
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the UGS connection
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerUGSConnection(uint32_t& availableSymbols);
     /**
-     * \brief Downlink Scheduler for rtPS connections.
+     * @brief Downlink Scheduler for rtPS connections.
      *
-     * \param availableSymbols available symbols for rtPS flows
+     * @param availableSymbols available symbols for rtPS flows
      *
      * This method represent the DL Scheduler for rtPS  connections.
      * The scheduler is designed to serve all rtPS connections that
@@ -184,23 +184,23 @@
     void BSSchedulerRTPSConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief schedules the NRTPS connections
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the NRTPS connections
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerNRTPSConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief schedules the BE connection
-     * \param availableSymbols the remaining free OFDM symbols in the current subframe
+     * @brief schedules the BE connection
+     * @param availableSymbols the remaining free OFDM symbols in the current subframe
      */
     void BSSchedulerBEConnection(uint32_t& availableSymbols);
 
     /**
-     * \brief Creates a downlink UGS burst
-     * \param serviceFlow the service flow of the burst
-     * \param modulationType the modulation type to be used for the burst
-     * \param availableSymbols maximum number of OFDM symbols to be used by the burst
-     * \returns a Burst (list of packets)
+     * @brief Creates a downlink UGS burst
+     * @param serviceFlow the service flow of the burst
+     * @param modulationType the modulation type to be used for the burst
+     * @param availableSymbols maximum number of OFDM symbols to be used by the burst
+     * @returns a Burst (list of packets)
      */
     Ptr<PacketBurst> CreateUgsBurst(ServiceFlow* serviceFlow,
                                     WimaxPhy::ModulationType modulationType,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-scheduler-simple.h ns-3.44/src/wimax/model/bs-scheduler-simple.h
--- ns-3.43/src/wimax/model/bs-scheduler-simple.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-scheduler-simple.h	2025-03-09 16:55:49.815372700 -0700
@@ -29,7 +29,7 @@
 class Cid;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * BaseStation Scheduler - simplified
  */
@@ -40,30 +40,30 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     BSSchedulerSimple(Ptr<BaseStationNetDevice> bs);
     ~BSSchedulerSimple() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief This function returns all the downlink bursts scheduled for the next
+     * @brief This function returns all the downlink bursts scheduled for the next
      * downlink sub-frame
-     * \returns  all the downlink bursts scheduled for the next downlink sub-frame
+     * @returns  all the downlink bursts scheduled for the next downlink sub-frame
      */
     std::list<std::pair<OfdmDlMapIe*, Ptr<PacketBurst>>>* GetDownlinkBursts() const override;
     /**
-     * \brief This function adds a downlink burst to the list of downlink bursts
+     * @brief This function adds a downlink burst to the list of downlink bursts
      * scheduled for the next downlink sub-frame
-     * \param connection a pointer to connection in which the burst will be sent
-     * \param diuc downlink iuc
-     * \param modulationType the modulation type of the burst
-     * \param burst the downlink burst to add to the downlink sub frame
+     * @param connection a pointer to connection in which the burst will be sent
+     * @param diuc downlink iuc
+     * @param modulationType the modulation type of the burst
+     * @param burst the downlink burst to add to the downlink sub frame
      */
     void AddDownlinkBurst(Ptr<const WimaxConnection> connection,
                           uint8_t diuc,
@@ -71,21 +71,21 @@
                           Ptr<PacketBurst> burst) override;
 
     /**
-     * \brief the scheduling function for the downlink subframe.
+     * @brief the scheduling function for the downlink subframe.
      */
     void Schedule() override;
     /**
-     * \brief Selects a connection from the list of connections having packets to be sent .
-     * \param connection will point to a connection that have packets to be sent
-     * \returns false if no connection has packets to be sent, true otherwise
+     * @brief Selects a connection from the list of connections having packets to be sent .
+     * @param connection will point to a connection that have packets to be sent
+     * @returns false if no connection has packets to be sent, true otherwise
      */
     bool SelectConnection(Ptr<WimaxConnection>& connection) override;
     /**
-     * \brief Creates a downlink UGS burst
-     * \param serviceFlow the service flow of the burst
-     * \param modulationType the modulation type to be used for the burst
-     * \param availableSymbols maximum number of OFDM symbols to be used by the burst
-     * \returns a Burst (list of packets)
+     * @brief Creates a downlink UGS burst
+     * @param serviceFlow the service flow of the burst
+     * @param modulationType the modulation type to be used for the burst
+     * @param availableSymbols maximum number of OFDM symbols to be used by the burst
+     * @returns a Burst (list of packets)
      */
     Ptr<PacketBurst> CreateUgsBurst(ServiceFlow* serviceFlow,
                                     WimaxPhy::ModulationType modulationType,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-service-flow-manager.h ns-3.44/src/wimax/model/bs-service-flow-manager.h
--- ns-3.43/src/wimax/model/bs-service-flow-manager.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-service-flow-manager.h	2025-03-09 16:55:49.815372700 -0700
@@ -29,8 +29,8 @@
 class BaseStationNetDevice;
 
 /**
- * \ingroup wimax
- * \brief BsServiceFlowManager
+ * @ingroup wimax
+ * @brief BsServiceFlowManager
  */
 class BsServiceFlowManager : public ServiceFlowManager
 {
@@ -45,90 +45,90 @@
     /**
      * Constructor
      *
-     * \param device base station device
+     * @param device base station device
      */
     BsServiceFlowManager(Ptr<BaseStationNetDevice> device);
     ~BsServiceFlowManager() override;
     void DoDispose() override;
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Add a new service flow
-     * \param serviceFlow the service flow to add
+     * @brief Add a new service flow
+     * @param serviceFlow the service flow to add
      */
     void AddServiceFlow(ServiceFlow* serviceFlow);
     /**
-     * \param sfid the service flow identifier
-     * \return the service flow which has as identifier sfid
+     * @param sfid the service flow identifier
+     * @return the service flow which has as identifier sfid
      */
     ServiceFlow* GetServiceFlow(uint32_t sfid) const;
     /**
-     * \param cid the connection identifier
-     * \return the service flow which has as connection identifier cid
+     * @param cid the connection identifier
+     * @return the service flow which has as connection identifier cid
      */
     ServiceFlow* GetServiceFlow(Cid cid) const;
     /**
-     * \param schedulingType the scheduling type
-     * \return the list of service flows configured with schedulingType as a QoS class
+     * @param schedulingType the scheduling type
+     * @return the list of service flows configured with schedulingType as a QoS class
      */
     std::vector<ServiceFlow*> GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const;
     /**
-     * \brief set the maximum Dynamic ServiceFlow Add (DSA) retries
-     * \param maxDsaRspRetries the maximum DSA response retries
+     * @brief set the maximum Dynamic ServiceFlow Add (DSA) retries
+     * @param maxDsaRspRetries the maximum DSA response retries
      */
     void SetMaxDsaRspRetries(uint8_t maxDsaRspRetries);
 
     /**
-     * \return the DSA ack timeout event
+     * @return the DSA ack timeout event
      */
     EventId GetDsaAckTimeoutEvent() const;
     /**
-     * \brief allocate service flows
-     * \param dsaReq the DSA request
-     * \param cid the connection identifier
+     * @brief allocate service flows
+     * @param dsaReq the DSA request
+     * @param cid the connection identifier
      */
     void AllocateServiceFlows(const DsaReq& dsaReq, Cid cid);
     /**
-     * \brief add a multicast service flow
-     * \param sf the service flow
-     * \param modulation the wimax phy modulation type
+     * @brief add a multicast service flow
+     * @param sf the service flow
+     * @param modulation the wimax phy modulation type
      */
     void AddMulticastServiceFlow(ServiceFlow sf, WimaxPhy::ModulationType modulation);
     /**
-     * \brief process a DSA-ACK message
-     * \param dsaAck the message to process
-     * \param cid the identifier of the connection on which the message was received
+     * @brief process a DSA-ACK message
+     * @param dsaAck the message to process
+     * @param cid the identifier of the connection on which the message was received
      */
     void ProcessDsaAck(const DsaAck& dsaAck, Cid cid);
 
     /**
-     * \brief process a DSA-Req message
-     * \param dsaReq the message to process
-     * \param cid the identifier of the connection on which the message was received
-     * \return a pointer to the service flow
+     * @brief process a DSA-Req message
+     * @param dsaReq the message to process
+     * @param cid the identifier of the connection on which the message was received
+     * @return a pointer to the service flow
      */
     ServiceFlow* ProcessDsaReq(const DsaReq& dsaReq, Cid cid);
 
   private:
     /**
      * Create DSA response function
-     * \param serviceFlow service flow
-     * \param transactionId transaction ID
-     * \return the DSA response
+     * @param serviceFlow service flow
+     * @param transactionId transaction ID
+     * @return the DSA response
      */
     DsaRsp CreateDsaRsp(const ServiceFlow* serviceFlow, uint16_t transactionId);
     /**
-     * \return the maximum DSA response retries
+     * @return the maximum DSA response retries
      */
     uint8_t GetMaxDsaRspRetries() const;
     /**
      * Create DSA response function
-     * \param serviceFlow service flow
-     * \param cid the identifier of the connection on which the message was received
+     * @param serviceFlow service flow
+     * @param cid the identifier of the connection on which the message was received
      */
     void ScheduleDsaRsp(ServiceFlow* serviceFlow, Cid cid);
     Ptr<WimaxNetDevice> m_device; ///< the device
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler.cc ns-3.44/src/wimax/model/bs-uplink-scheduler.cc
--- ns-3.43/src/wimax/model/bs-uplink-scheduler.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler.cc	2025-03-09 16:55:49.815372700 -0700
@@ -31,7 +31,7 @@
 
 UplinkScheduler::UplinkScheduler()
     : m_bs(nullptr),
-      m_timeStampIrInterval(Seconds(0)),
+      m_timeStampIrInterval(),
       m_nrIrOppsAllocated(0),
       m_isIrIntrvlAllocated(false),
       m_isInvIrIntrvlAllocated(false),
@@ -42,7 +42,7 @@
 
 UplinkScheduler::UplinkScheduler(Ptr<BaseStationNetDevice> bs)
     : m_bs(bs),
-      m_timeStampIrInterval(Seconds(0)),
+      m_timeStampIrInterval(),
       m_nrIrOppsAllocated(0),
       m_isIrIntrvlAllocated(false),
       m_isInvIrIntrvlAllocated(false),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler.h ns-3.44/src/wimax/model/bs-uplink-scheduler.h
--- ns-3.43/src/wimax/model/bs-uplink-scheduler.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler.h	2025-03-09 16:55:49.815372700 -0700
@@ -27,8 +27,8 @@
 class ServiceFlowRecord;
 
 /**
- * \ingroup wimax
- * \brief Virtual class for uplink scheduler.
+ * @ingroup wimax
+ * @brief Virtual class for uplink scheduler.
  */
 class UplinkScheduler : public Object
 {
@@ -37,89 +37,89 @@
     /**
      * Constructor
      *
-     * \param bs base station device
+     * @param bs base station device
      */
     UplinkScheduler(Ptr<BaseStationNetDevice> bs);
     ~UplinkScheduler() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \return the number of IR opps allocated
+     * @return the number of IR opps allocated
      */
     virtual uint8_t GetNrIrOppsAllocated() const;
     /**
-     * \brief Set the number of IR opps allocated
-     * \param nrIrOppsAllocated number of IR opps allocated
+     * @brief Set the number of IR opps allocated
+     * @param nrIrOppsAllocated number of IR opps allocated
      */
     virtual void SetNrIrOppsAllocated(uint8_t nrIrOppsAllocated);
 
     /**
-     * \return true if the IR interval is allocated
+     * @return true if the IR interval is allocated
      */
     virtual bool GetIsIrIntrvlAllocated() const;
     /**
-     * \brief Set if the IR interval is allocated
-     * \param isIrIntrvlAllocated
+     * @brief Set if the IR interval is allocated
+     * @param isIrIntrvlAllocated
      */
     virtual void SetIsIrIntrvlAllocated(bool isIrIntrvlAllocated);
 
     /**
-     * \return true if the Inv IR interval is allocated
+     * @return true if the Inv IR interval is allocated
      */
     virtual bool GetIsInvIrIntrvlAllocated() const;
     /**
-     * \brief Set if the Inv IR interval is allocated
-     * \param isInvIrIntrvlAllocated
+     * @brief Set if the Inv IR interval is allocated
+     * @param isInvIrIntrvlAllocated
      */
     virtual void SetIsInvIrIntrvlAllocated(bool isInvIrIntrvlAllocated);
 
     /**
-     * \return uplink allocations
+     * @return uplink allocations
      */
     virtual std::list<OfdmUlMapIe> GetUplinkAllocations() const;
 
     /**
-     * \return the timestamp of the IR interval
+     * @return the timestamp of the IR interval
      */
     virtual Time GetTimeStampIrInterval();
     /**
-     * \brief Set timestamp IR interval
-     * \param timeStampIrInterval
+     * @brief Set timestamp IR interval
+     * @param timeStampIrInterval
      */
     virtual void SetTimeStampIrInterval(Time timeStampIrInterval);
 
     /**
-     * \return the DCD timestamp
+     * @return the DCD timestamp
      */
     virtual Time GetDcdTimeStamp() const;
     /**
-     * \brief Set DCD timestamp
-     * \param dcdTimeStamp
+     * @brief Set DCD timestamp
+     * @param dcdTimeStamp
      */
     virtual void SetDcdTimeStamp(Time dcdTimeStamp);
 
     /**
-     * \return the UCD timestamp
+     * @return the UCD timestamp
      */
     virtual Time GetUcdTimeStamp() const;
     /**
-     * \brief Set UCD timestamp
-     * \param ucdTimeStamp
+     * @brief Set UCD timestamp
+     * @param ucdTimeStamp
      */
     virtual void SetUcdTimeStamp(Time ucdTimeStamp);
 
     /**
-     * \return the base station device
+     * @return the base station device
      */
     virtual Ptr<BaseStationNetDevice> GetBs();
     /**
-     * \brief Set base station device
-     * \param bs
+     * @brief Set base station device
+     * @param bs
      */
     virtual void SetBs(Ptr<BaseStationNetDevice> bs);
     /**
@@ -128,15 +128,15 @@
      */
     virtual void GetChannelDescriptorsToUpdate(bool&, bool&, bool&, bool&) = 0;
     /**
-     * \return the calculated allocation start time
+     * @return the calculated allocation start time
      */
     virtual uint32_t CalculateAllocationStartTime() = 0;
     /**
      * Add uplink allocation
-     * \param ulMapIe the UL map IE
-     * \param allocationSize the allocation size
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ulMapIe the UL map IE
+     * @param allocationSize the allocation size
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     virtual void AddUplinkAllocation(OfdmUlMapIe& ulMapIe,
                                      const uint32_t& allocationSize,
@@ -148,12 +148,12 @@
     virtual void Schedule() = 0;
     /**
      * Service unsolicited grants function
-     * \param ssRecord the SS record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord the SS record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     virtual void ServiceUnsolicitedGrants(const SSRecord* ssRecord,
                                           ServiceFlow::SchedulingType schedulingType,
@@ -163,12 +163,12 @@
                                           uint32_t& availableSymbols) = 0;
     /**
      * Service bandwidth request function
-     * \param ssRecord the SS record
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param ssRecord the SS record
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     virtual void ServiceBandwidthRequests(const SSRecord* ssRecord,
                                           ServiceFlow::SchedulingType schedulingType,
@@ -178,13 +178,13 @@
                                           uint32_t& availableSymbols) = 0;
     /**
      * Service bandwidth request function
-     * \param serviceFlow the service flow
-     * \param schedulingType the scheduling type
-     * \param ulMapIe the UL map IE
-     * \param modulationType the modulation type
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
-     * \returns true if successful
+     * @param serviceFlow the service flow
+     * @param schedulingType the scheduling type
+     * @param ulMapIe the UL map IE
+     * @param modulationType the modulation type
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
+     * @returns true if successful
      */
     virtual bool ServiceBandwidthRequests(ServiceFlow* serviceFlow,
                                           ServiceFlow::SchedulingType schedulingType,
@@ -194,20 +194,20 @@
                                           uint32_t& availableSymbols) = 0;
     /**
      * Allocate initial ranging interval function
-     * \param symbolsToAllocation the symbols to allocation
-     * \param availableSymbols the available symbols
+     * @param symbolsToAllocation the symbols to allocation
+     * @param availableSymbols the available symbols
      */
     virtual void AllocateInitialRangingInterval(uint32_t& symbolsToAllocation,
                                                 uint32_t& availableSymbols) = 0;
     /**
      * Setp service flow function
-     * \param ssRecord the SS record
-     * \param serviceFlow the service flow
+     * @param ssRecord the SS record
+     * @param serviceFlow the service flow
      */
     virtual void SetupServiceFlow(SSRecord* ssRecord, ServiceFlow* serviceFlow) = 0;
     /**
      * Process bandwidth request function
-     * \param bwRequestHdr
+     * @param bwRequestHdr
      */
     virtual void ProcessBandwidthRequest(const BandwidthRequestHeader& bwRequestHdr) = 0;
 
@@ -217,8 +217,8 @@
     virtual void InitOnce() = 0;
 
     /**
-     * \brief Set requested bandwidth
-     * \param sfr service flow record
+     * @brief Set requested bandwidth
+     * @param sfr service flow record
      */
     virtual void OnSetRequestedBandwidth(ServiceFlowRecord* sfr) = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/bs-uplink-scheduler-mbqos.cc ns-3.44/src/wimax/model/bs-uplink-scheduler-mbqos.cc
--- ns-3.43/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/bs-uplink-scheduler-mbqos.cc	2025-03-09 16:55:49.815372700 -0700
@@ -52,7 +52,7 @@
 
                             .AddAttribute("WindowInterval",
                                           "The time to wait to reset window",
-                                          TimeValue(Seconds(1.0)),
+                                          TimeValue(Seconds(1)),
                                           MakeTimeAccessor(&UplinkSchedulerMBQoS::m_windowInterval),
                                           MakeTimeChecker());
     return tid;
